@import url("https://fonts.googleapis.com/css2?family=Nunito:wght@200;300;500;700&family=Roboto+Condensed:wght@300;400;700&display=swap");

:root {
  --dark-color: #222222;
  --red: #981618;
  --light-color: #eeeeee;
  --dark-transparent: #000000dd;
  --dark-transparent-mobile: #000000cc;
}

html {
  scroll-behavior: smooth;
}

body {
  font-family: "Roboto Condensed", sans-serif;
  color: var(--light-color);
  margin: 0;
}


#chat {
  position: fixed;
  bottom: 20px;
  right: 20px;
  z-index: 3;
}


#chat a{
    text-decoration: none;
    display: block;
    display: flex;
    align-items: center;
    color: var(--light-color);
}

#chat img{
    animation-name: vibrate;
    animation-duration: 2s;
    animation-iteration-count: infinite;
}

#chat p {
  margin-left: 10px;
  font-weight: bold;
  color: #888888;
}

#chat:hover {
  cursor: pointer;
}

/*---------------------------------------------------------------------------------------------*/
/*Content--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/
#content {
  width: 100%;
}

/*---------------------------------------------------------------------------------------------*/
/*Header--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/
#banner {
  position: relative;
  background-image: url("../res/img/pergolas/image-3.jpg");
  background-size: cover;
  width: 100%;
  height: 100vh;
  animation-name: header-carrousel;
  animation-duration: 60s;
  animation-iteration-count: infinite;
  animation-timing-function: linear;
}

header {
  display: flex;
  justify-content: space-between;
  align-items: flex-start;
}

header .navbar{
  position: fixed;
  display: flex;
  width: 100%;
  justify-content: space-between;
  align-items: center;
  transition: background-color 0.3s;
  z-index: 3;
}

.solid-background {
  padding-bottom: 10px;
  background-color: black;
  transition: background-color 0.3s;
}

#brand {
  position: relative;
  text-align: center;
  width: 150px;
  height: 84px;
  margin-left: 40px;
  z-index: 2;
}

#brand p {
  font-family: "Nunito", sans-serif;
  color: var(--light-color);
  margin: 0;
  padding: 0;
}

#brand p:nth-child(1) {
  font-size: 4em;
  font-weight: bold;
}

#brand p:nth-child(1) span {
  color: var(--red);
}

#brand p:nth-child(2) {
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  text-transform: uppercase;
  font-size: 0.8em;
  color: var(--red);
}

nav {
  width: 50%;
  height: 62px;
  display: flex;
  align-items: center;
  justify-content: flex-end;
  margin-right: 40px;
  z-index: 2;
}

nav ul {
  list-style: none;
  display: flex;
}

nav li {
  margin: 0 20px;
}

nav li hr {
  margin: 0;
  transform-origin: right;
  transform: scale(0);
  transition: transform 1s;
  border: 1px solid var(--red);
}

nav li:hover hr {
  transform: scale(1);
  transition: transform 1s;
}

nav a {
  text-transform: uppercase;
  text-decoration: none;
  color: var(--light-color);
}

.selected hr {
  transform: scale(1);
}

#title {
  position: absolute;
  top: 0;
  width: 100%;
  height: 100%;
  display: flex;
  justify-content: flex-start;
  align-items: center;
  z-index: 1;
}

#title h1 {
  font-size: 3em;
  font-weight: bold;
}

#title p {
  font-size: 1.1em;
  line-height: 2em;
}

.title-content {
  display: flex;
  flex-direction: column;
  margin-left: 150px;
  width: 60%;
}

.title-content a {
  color: var(--light-color);
  background-color: var(--red);
  display: inline-block;
  text-decoration: none;
  padding: 20px;
  font-size: 1.2em;
  border-radius: 2px;
  box-shadow: 0px 0px 30px 5px #000000;
  align-self: center;
  margin-top: 40px;
  transform: translateY(0px);
  transition: transform 0.6s;
}

.title-content a:hover {
  transform: translateY(-5px);
  transition: transform 0.3s;
}

/*---------------------------------------------------------------------------------------------*/
/*Main--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/
main{
  color: var(--dark-color);
}
/*Projects--------------------------------------------------------------------------------------*/
#projects {
  width: 90%;
  margin: 0 auto;
}

#projects .categories{
  padding: 20px 0px;
  display: flex;
}

.category-radio input{
  display: none;
}

.category-radio label{
  display: inline-block;
  padding: 10px 20px;
}

.category-radio label:hover{
  cursor: pointer;
}

.category-selected{
  color: white;
  background-color: var(--red);
  border-radius: 1px 10px 1px 1px;
}

.images-container{
  width: 100%;
  display: flex;
  overflow-x: scroll;
  scroll-behavior: smooth;
  overflow-y: scroll;
  flex-wrap: nowrap;
  align-items: center;
  height: 500px;
  gap: 20px;
}

.image-container{
  position: relative;
  width: 300px;
  height: 450px;
  transform: translateY(0px);
  transition: transform 0.6s;
}

.image-container img{
  width: 300px;
  height: 450px;
  object-fit: cover;
  box-shadow: 0px 10px 10px 0px #ccccccff;
  z-index: 1;
}

.image-container:hover{
  cursor: pointer;
  opacity: 0.8;
  transform: translateY(-10px);
  transition: transform 0.3s;
}

.pretty-scroll::-webkit-scrollbar {
  appearance: none;
}

.pretty-scroll::-webkit-scrollbar-thumb {
  background-color: var(--red);
  border-radius: 20px;
}

.project-detail{
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100vh;
  z-index: 4;
  background-color: var(--dark-transparent);
  visibility: hidden;
  opacity: 0;
  transition: opacity 0.6s;
}

.project-detail:hover{
  cursor: pointer;
}

.project-detail-img{
  max-height: 90vh;
  object-fit: cover;
  border-radius: 5px;

}

/*Info--------------------------------------------------------------------------------------*/
#info {
  display: flex;
  width: 90%;
  margin: 0 auto;
}

#info article {
  margin: 20px 0;
  padding-right: 20px;
  width: 60%;
  border-right: 1px solid var(--dark-color);
}
#info article p {
  line-height: 1.8em;
}

#info aside {
  margin: 20px 0 20px 40px;
}

.form-component {
  display: flex;
  flex-direction: column;
  margin: 16px 0px;
}

.form-component label {
  font-weight: bold;
  margin-bottom: 4px;
}

.form-component input {
  font-family: "Roboto Condensed", sans-serif;
  font-size: 1em;
  padding: 5px;
  outline: none;
  border: 1px solid var(--red);
}

.form-component textarea {
  font-family: "Roboto Condensed", sans-serif;
  font-size: 1em;
  padding: 5px;
  outline: none;
  border: 1px solid var(--red);
  resize: none;
  height: 100px;
}

.form-component p {
  font-size: 0.8em;
  margin: 0;
}

form button {
  border: none;
  color: white;
  background-color: var(--red);
  display: inline-block;
  padding: 10px;
  font-size: 1.2em;
  border-radius: 2px;
  align-self: center;
  transform: translateY(0px);
  transition: transform 0.6s;
}

form button:hover {
  cursor: pointer;
  transform: translateY(-5px);
  transition: transform 0.3s;
}

/*---------------------------------------------------------------------------------------------*/
/*Footer--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/
footer{
  display: flex;
  justify-content: center;
  align-items: center;
  background-color: var(--red);
  color: var(--light-color);
  height: 100px;
}

footer p{
  margin: 0px 20px;
}

footer a{
  color: var(--light-color);
  font-weight: bold;
}

/*---------------------------------------------------------------------------------------------*/
/*General--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/

.fade {
  position: absolute;
  width: 100%;
  height: 100%;
  background-color: var(--dark-transparent);
  z-index: 0;
}

.active{
  opacity: 1;
  visibility: visible;
  transition: opacity 0.6s;
}

/*---------------------------------------------------------------------------------------------*/
/*Animations--------------------------------------------------------------------------------------*/
/*---------------------------------------------------------------------------------------------*/
@keyframes header-carrousel {
  20% {
    background-image: url("../res/img/pergolas/image-3.jpg");
  }
  25% {
    background-image: url("../res/img/cielo-rasos/image-4.jpg");
  }
  45% {
    background-image: url("../res/img/cielo-rasos/image-4.jpg");
  }
  50% {
    background-image: url("../res/img/fachadas/image-2.jpg");
  }
  70% {
    background-image: url("../res/img/fachadas/image-2.jpg");
  }
  75% {
    background-image: url("../res/img/pintura/image-2.jpg");
  }
  95% {
    background-image: url("../res/img/pintura/image-2.jpg");
  }
  100%{
    background-image: url("../res/img/pergolas/image-3.jpg");
  }
}

@keyframes vibrate {
  0% {
    transform: rotate(0deg);
  }
  2% {
    transform: rotate(15deg);
  }
  4% {
    transform: rotate(0deg);
  }
  6% {
    transform: rotate(-15deg);
  }
  8% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(0deg);
  }
}

@media (max-width: 768px) {
  header .navbar {
    position: relative;
    flex-direction: column;
  }

  nav{
    display: block;

  }

  nav ul{
    display: none;
  }
  nav li{
    margin: 0;
    display: inline;
  }

  #brand {
    margin-top: 30px;
    margin-left: 0;
  }

  #title {
    width: 100%;
  }

  #title .title-content {
    margin: 0 30px;
    width: 100%;
  }

  .categories {
    flex-wrap: wrap;
  }

  #info{
    flex-direction: column;
  }

  #about{
    width: 100% !important;
    border: none !important;
  }

  #info aside{
    margin-left: 0px;
  }

  #chat p{
    display : none;
  }

  .fade{
    background-color: var(--dark-transparent-mobile) !important;
  } 

  *:hover hr{
    display: none;
  }
}
